/*
 Theme Name:     Divi creative agency
 Theme URI:      https://demo.infomaniak.com/preview?t=divi-creative-agency
 Description:    Votre site sera constitue de plusieurs pages (accueil, blog, contact, etc...) que vous pourrez librement personnaliser selon vos besoins.
 Author:         Infomaniak
 Author URI:     https://www.infomaniak.com
 Template:       Divi
 Version:        1.0.0
*/
 
@import url("../Divi/style.css");

/* Bug in WP6.6, links are underlined
:root :where(a:where(:not(.wp-element-button))) {
text-decoration: none !important;
}
 */

/* ==================================================================================== */
/* Change styling of WPML menu */

#menu-main-menu > .wpml-ls-item > ul {
	border-top-color: #b0b0b0 !important;
	border-top-width: 1px;
}

#menu-main-menu > .wpml-ls-item > ul {
	border-top-color: #b0b0b0 !important;
	border-top-width: 1px;
}

/* ==================================================================================== */
/* Change font size on mobile */

/*
@media screen
and (min-width : 768px) 
and (max-width : 1360px)  
{
	h3 { font-size:42px !important; }
}

@media screen
and (min-width : 768px) 
and (max-width : 1160px)  
{
	h3 { font-size:30px !important; }
}

@media screen
and (max-width : 767px)  
{
	.border_title {
		border-bottom: #f47363 2px solid;
		padding: 0px 0px 10px 0px;
	}
}
*/

/* max size is 57px at 1800px and min width is 26px at 767px */
h3 {
/*	font-size: 3vw !important;*/
	font-size: calc(25px + (57 - 25) * ((100vw - 767px) / (1800 - 767))) !important;
}

html[lang="fr-FR"] h3 {
	font-size: calc(28px + (57 - 28) * ((100vw - 767px) / (1800 - 767))) !important;
}

html[lang="de-DE"] h3 {
	font-size: calc(27px + (57 - 27) * ((100vw - 767px) / (1800 - 767))) !important;
}

html[lang="it-IT"] h3 {
	font-size: calc(27px + (57 - 27) * ((100vw - 767px) / (1800 - 767))) !important;
}

html[lang="es-ES"] h3 {
	font-size: calc(25px + (57 - 25) * ((100vw - 767px) / (1800 - 767))) !important;
}

html[lang="en-US"] h3 {
	font-size: calc(26px + (57 - 26) * ((100vw - 767px) / (1800 - 767))) !important;
}

.border_title {
    border-bottom: #f47363 2px solid;
    padding: 0px 0px 1vw 0px;
}

@media screen
and (max-width : 767px)
{
	.border_title {
		border-bottom: #f47363 2px solid;
		padding: 0px 0px 8px 0px;
	}
}

@media screen and (min-width : 1200px)
{
	h3 { font-size: 57px !important }
}

/* 

@media screen and (max-width : 1200px)
{
	h3 { font-size: 57px !important }
	.et_pb_fullwidth_menu_0_tb_header .et_pb_row>.et_pb_menu__logo-wrap, 		.et_pb_fullwidth_menu_0_tb_header .et_pb_menu__logo-slot {
    margin-left: -20px;
	
}

@media screen and (min-width : 1400px)
{
	h3 { font-size: 57px !important }
	.et_pb_fullwidth_menu_0_tb_header .et_pb_row>.et_pb_menu__logo-wrap, 		.et_pb_fullwidth_menu_0_tb_header .et_pb_menu__logo-slot {
    margin-left: -120px;
	
}

@media screen and (max-width : 1600px)
{
	h3 { font-size: 57px !important }
	.et_pb_fullwidth_menu_0_tb_header .et_pb_row>.et_pb_menu__logo-wrap, 		.et_pb_fullwidth_menu_0_tb_header .et_pb_menu__logo-slot {
    margin-left: -160px;
	
}


*/
/* ==================================================================================== */
/* Change order of columns on mobile */
/* https://www.elegantthemes.com/blog/divi-resources/how-to-change-divis-column-stacking-order-on-mobile-devices */
@media all and (max-width: 980px) {

  /*** wrap row in a flex box ***/
  .custom_row {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    /* Safari 6.1+ */
    flex-wrap: wrap;
  }

  /*** custom classes that will designate the order of columns in the flex box row ***/
  .first-on-mobile {
    -webkit-order: 1;
    order: 1;
  }

  .second-on-mobile {
    -webkit-order: 2;
    order: 2;
  }

  .third-on-mobile {
    -webkit-order: 3;
    order: 3;
  }

  .fourth-on-mobile {
    -webkit-order: 4;
    order: 4;
  }

  /*** add margin to last column **
  .custom_row:last-child .et_pb_column:last-child {
    margin-bottom: 30px;
  }
	.et_pb_fullwidth_menu .et_mobile_nav_menu {
		margin-left:-150px !important;
	}
*/
}

/* ==================================================================================== */
